Upstream information

CVE-2005-2040 at MITRE

Description

Multiple buffer overflows in the getterminaltype function in telnetd for Heimdal before 0.6.5 may allow remote attackers to execute arbitrary code, a different vulnerability than CVE-2005-0468 and CVE-2005-0469.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entries: 91593, 97195 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SuSE Linux Desktop 1.0
SuSE Linux Enterprise Server 8 for AMD64
SuSE Linux Enterprise Server 8 for IBM zSeries
SuSE Linux Enterprise Server 8 for IPF
UnitedLinux 1.0
  • heimdal >= 0.4e-413
core9.ppc
core9.x86
slox4,2.x86
core9.s390
core9.ia64
YOU Patch Nr: 10262
SUSE LINUX Retail Solution 8
SuSE Linux Enterprise Server 8 for IBM iSeries and IBM pSeries
SuSE Linux Openexchange Server 4
SuSE Linux School Server for i386
SuSE Linux Standard Server 8
UnitedLinux 1.0
  • heimdal >= 0.4e-412
core9.ppc
core9.x86
slox4,2.x86
core9.s390
core9.ia64
YOU Patch Nr: 10262
Novell Linux Desktop 9 for x86
Novell Linux Desktop 9 for x86_64
Open Enterprise Server
  • heimdal >= 0.6.1rc3-55.18
core9.ppc
core9.x86
slox4,2.x86
core9.s390
core9.ia64
YOU Patch Nr: 10262